import React from "react";
import { StyleProp, ViewStyle, TextStyle } from "react-native";
export type DonutItem = {
    name: string;
    value: number;
    color: string;
};
export type DonutAnimationType = "fade" | "slide";
export type IDonutProps = {
    data: DonutItem[];
    containerWidth: number;
    containerHeight: number;
    radius: number;
    startAngle?: number;
    endAngle?: number;
    strokeWidth?: number;
    type?: "butt" | "round";
    labelValueStyle?: StyleProp<TextStyle>;
    labelTitleStyle?: StyleProp<TextStyle>;
    labelWrapperStyle?: StyleProp<ViewStyle>;
    containerStyle?: StyleProp<ViewStyle>;
    animationType?: DonutAnimationType;
};
export declare const DonutChart: ({ data, containerWidth, containerHeight, radius, startAngle, endAngle, strokeWidth, type, animationType, labelWrapperStyle, labelValueStyle, labelTitleStyle, containerStyle, }: IDonutProps) => React.JSX.Element;
//# sourceMappingURL=index.d.ts.map